<?php
declare(strict_types=1);

namespace Flat101\EnhancedEcommerce\Model;

use Flat101\EnhancedEcommerce\Api\DataLayerListInterface;

class DataLayerList implements DataLayerListInterface
{
    /**
     * @var array
     */
    private $dataLayers;

    /**
     * DataLayerList constructor.
     */
    public function __construct(array $dataLayers = [])
    {
        $this->dataLayers = $dataLayers;
    }

    public function getList(): array
    {
        return $this->dataLayers;
    }
}
